All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector
Class RemoteFileListComponent

    com.sas.swing.visuals.remotefileselector.RemoteFileListComponent

All Implemented Interfaces:
  RemoteFileComponentInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.swing.event.ListSelectionListener

    public class RemoteFileListComponent

RemoteFileListComponent defines the class used as the list view of files.

Since:
  3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.remotefileselector.RemoteFileTableComponent
`columnRenderers, table`

Fields inherited from class com.sas.swing.visuals.remotefileselector.RemoteFileComponent
`parentComponent, remoteServerModel, selections, showDirectoriesOnly, spcs`

Constructor Summary
`RemoteFileListComponent(BaseRemoteFileSelectorPanel parentComponent)` Constructor that allows setting the panel's parent component.
`RemoteFileListComponent(BaseRemoteFileSelectorPanel parentComponent, java.lang.String supportType)` Constructor that allows setting the panel's parent component and the Action Provider Framework support type.

Method Summary
`void` | `setRemoteModel(RemoteFileServerModelInterface remoteServerModel)` Sets the remote model and redefines the table so only one column is visible.

Methods inherited from class com.sas.swing.visuals.remotefileselector.RemoteFileTableComponent
`getColumnRenderers, getPreviousPath, getSelectionObject, getViewComponent, handleDoubleClick, init, propertyChange, refreshData, setActionProvider, setColumnRenderers, setPath, setPreviousPath, setSelectionObject, valueChanged`

Methods inherited from class com.sas.swing.visuals.remotefileselector.RemoteFileComponent
`addPropertyChangeListener, getRemoteModel, getSelections, isShowDirectoriesOnly, removePropertyChangeListener, setShowDirectoriesOnly`

Constructor Detail

### RemoteFileListComponent

    public RemoteFileListComponent(BaseRemoteFileSelectorPanel parentComponent)

  Constructor that allows setting the panel's parent component.

  Parameters:
    `parentComponent` - the component that is the parent of this object

### RemoteFileListComponent

    public RemoteFileListComponent(BaseRemoteFileSelectorPanel parentComponent,
                                   java.lang.String supportType)

  Constructor that allows setting the panel's parent component and the Action Provider Framework support type.

  Parameters:
    `parentComponent` - the component that is the parent of this object
    `supportType` - the Action Provider Framework support type

Method Detail

### setRemoteModel

    public void setRemoteModel(RemoteFileServerModelInterface remoteServerModel)

  Sets the remote model and redefines the table so only one column is visible.

  Specified by:
    `setRemoteModel` in interface `RemoteFileComponentInterface`
  Overrides:
    `setRemoteModel` in class `RemoteFileTableComponent`
  Parameters:
    `remoteServerModel` - the model that provides the files to be viewed
  See Also:
    `RemoteFileComponentInterface.getRemoteModel()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.